diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 9849dfa..bf7cbb6 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -75378,7 +75378,7 @@ MachineFloat(): Exports == Implementation where
       -- representation.
       exp : I  := exponent u
       man : I  := mantissa u
-      BB  : I  := B pretend I
+      BB  : I  := B @ I
       sgn : I := sign man ; man := abs man
       zero? man => [0,0]$Rep
       if man < MMAX then 
@@ -75409,12 +75409,12 @@ MachineFloat(): Exports == Implementation where
 
     changeBase(exp:I,man:I,base:PI):$ ==
       newExp : I  := 0
-      f      : FI := man*(base pretend I)::FI**exp
+      f      : FI := man*(base @ I)::FI**exp
       sign   : I  := sign f
       f      : FI := abs f
       newMan : I  := wholePart f
       zero? f => [0,0]$Rep
-      BB     : FI := (B pretend I)::FI
+      BB     : FI := (B @ I)::FI
       if newMan < MMAX then
         while newMan < MMAX repeat
           newExp := newExp - 1
@@ -75464,7 +75464,7 @@ MachineFloat(): Exports == Implementation where
     retractIfCan(u:$):Union(F,"failed") == u::F::Union(F,"failed")
 
     retractIfCan(u:$):Union(I,"failed") ==
-      value:FI := mantissa(u)*(B pretend I)::FI**exponent(u)
+      value:FI := mantissa(u)*(B @ I)::FI**exponent(u)
       zero? fractionPart(value) => wholePart(value)::Union(I,"failed")
       "failed"::Union(I,"failed")
 
@@ -75559,11 +75559,11 @@ MachineFloat(): Exports == Implementation where
          e1 > e2 + POWER + 2 => 
                zero? f1 => f2
                f1 
-         normalise [m1*(B pretend I)**((e1-e2) pretend NNI)+m2,e2]$Rep
+         normalise [m1*(B @ I)**((e1-e2) pretend NNI)+m2,e2]$Rep
       e2 > e1 + POWER +2 => 
                zero? f2 => f1
                f2
-      normalise [m2*(B pretend I)**((e2-e1) pretend NNI)+m1,e1]$Rep
+      normalise [m2*(B @ I)**((e2-e1) pretend NNI)+m1,e1]$Rep
 
     - f1 == [- mantissa f1,exponent f1]$Rep
 
diff --git a/buglist b/buglist
index b02b3a2..131b554 100644
--- a/buglist
+++ b/buglist
@@ -5,13 +5,24 @@ todo 330:
 wish 1011:
 meh 5:
 errors 10016:
-warnings 20568:
+warnings 20569:
 macros 30234:
 typos 40363:
 dup 50006:
 nonextend 60077:
 
 =========================================================================
+warnings 20568:
+
+>compiling MFLOAT.spad to MFLOAT.nrlib
+ 
+   Warnings: 
+      [1] normalise:  man has no value
+      [2] changeBase:  newMan has no value
+      [3] changeBase:  newExp has no value
+      [4] changeBase:  f has no value
+ 
+=========================================================================
 warnings 20567:
 
 >compiling SMTS.spad to SMTS.nrlib
@@ -14644,21 +14655,6 @@ warnings 20002:
       [19] simplify:  factorlist has no value
  
 =========================================================================
-warnings 20001:
-
->compiling MFLOAT.spad to MFLOAT.nrlib
- 
-   Warnings: 
-      [1] normalise: pretend(Integer) -- should replace by @
-      [2] normalise:  man has no value
-      [3] changeBase: pretend(Integer) -- should replace by @
-      [4] changeBase:  newMan has no value
-      [5] changeBase:  newExp has no value
-      [6] changeBase:  f has no value
-      [7] retractIfCan: pretend(Integer) -- should replace by @
-      [8] +: pretend(Integer) -- should replace by @
- 
-=========================================================================
 warnings 20000:
 
 >compiling MLIFT.spad to MLIFT.nrlib
@@ -31985,28 +31981,6 @@ extension of ##1 to (Polynomial (Integer)) ignored
  
 ============================================================================
 
-   finalizing nrlib MFLOAT 
-   Warnings: 
-      [1] normalise: pretend(Integer) -- should replace by @
-      [2] normalise:  man has no value
-      [3] changeBase: pretend(Integer) -- should replace by @
-      [4] changeBase:  newMan has no value
-      [5] changeBase:  newExp has no value
-      [6] changeBase:  f has no value
-      [7] retractIfCan: pretend(Integer) -- should replace by @
-      [8] +: pretend(Integer) -- should replace by @
-
-(|RealConstant|)    extends 
-(|ConvertibleTo| (|DoubleFloat|))    but not 
-(|ConvertibleTo| (|String|)) --------------non extending category----------------------
-.. MachineInteger of cat 
-(|Join| (|FortranMachineTypeCategory|) (|IntegerNumberSystem|) (CATEGORY |domain| (SIGNATURE |maxint| ((|PositiveInteger|) (|PositiveInteger|))) (SIGNATURE |maxint| ((|PositiveInteger|))) (SIGNATURE |coerce| ((|Expression| $) (|Expression| (|Integer|))))))   has no 
-============================================================================
-
-(|ConvertibleTo| (|String|))    finalizing nrlib MINT 
-
-============================================================================
-
    finalizing nrlib MLIFT 
    Warnings: 
       [1] Use: import (GenExEuclid R (SparseUnivariatePolynomial R))
@@ -40583,3 +40557,14 @@ dup 50005:
 
 Warning: SMTS;stream has a duplicate definition in this file
 
+=========================================================================
+warnings 20001:
+
+>compiling MFLOAT.spad to MFLOAT.nrlib
+ 
+   Warnings: 
+      [1] normalise: pretend(Integer) -- should replace by @
+      [3] changeBase: pretend(Integer) -- should replace by @
+      [7] retractIfCan: pretend(Integer) -- should replace by @
+      [8] +: pretend(Integer) -- should replace by @
+ 
diff --git a/changelog b/changelog
index 52314ae..9638126 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130314 tpd src/axiom-website/patches.html 20130314.10.tpd.patch
+20130314 tpd buglist  MLIFT fix 20001, add 20568
+20130314 tpd books/bookvol10.3 MLIFT fix 20001, add 20568
 20130314 tpd src/axiom-website/patches.html 20130314.09.tpd.patch
 20130314 tpd buglist SMTS fix 20383, 50005, add 20567
 20130314 tpd books/bookvol10.3 SMTS fix 20383, 50005, add 20567
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5271a71..84c5dba 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4047,5 +4047,7 @@ books/bookvol10.3 SYMBOL fix 20056 pretend
 books/bookvol10.3 SINT fix 20057 pretend
 <a href="patches/20130314.09.tpd.patch">20130314.09.tpd.patch</a>
 books/bookvol10.3 SMTS fix 20383, 50005, add 20567
+<a href="patches/20130314.10.tpd.patch">20130314.10.tpd.patch</a>
+books/bookvol10.3 MLIFT fix 20001, add 20568
  </body>
 </html>
